package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "脚本输入项列信息")
public class ScriptInputHeaderDto implements Serializable {
    /**
     * 变量名称<br>
     */
    @ApiModelProperty("变量名称")
    @Size(max = 30, message="变量名称-name: 数据长度不能 > 30" )
    private String name;
    /**
     * 数据类型<br>
     */
    @ApiModelProperty("数据类型")
    @Size(max = 10, message="数据类型-dataType: 数据长度不能 > 10" )
    private String dataType;
    /**
     * 默认值<br>
     */
    @ApiModelProperty("默认值")
    @Size(max = 50, message="默认值-defaultValue: 数据长度不能 > 50" )
    private String defaultValue;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 50, message="描述-memo: 数据长度不能 > 50" )
    private String memo;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
